import { AlterTableNode } from '../../operation-node/alter-table-node.js';
import { CreateIndexNode } from '../../operation-node/create-index-node.js';
import { CreateTableNode } from '../../operation-node/create-table-node.js';
import { CreateViewNode } from '../../operation-node/create-view-node.js';
import { DeleteQueryNode } from '../../operation-node/delete-query-node.js';
import { DropIndexNode } from '../../operation-node/drop-index-node.js';
import { DropTableNode } from '../../operation-node/drop-table-node.js';
import { DropViewNode } from '../../operation-node/drop-view-node.js';
import { InsertQueryNode } from '../../operation-node/insert-query-node.js';
import { OperationNodeTransformer } from '../../operation-node/operation-node-transformer.js';
import { SelectQueryNode } from '../../operation-node/select-query-node.js';
import { TableNode } from '../../operation-node/table-node.js';
import { UpdateQueryNode } from '../../operation-node/update-query-node.js';
export declare class WithSchemaTransformer extends OperationNodeTransformer {
    #private;
    constructor(schema: string);
    protected transformSelectQuery(node: SelectQueryNode): SelectQueryNode;
    protected transformInsertQuery(node: InsertQueryNode): InsertQueryNode;
    protected transformUpdateQuery(node: UpdateQueryNode): UpdateQueryNode;
    protected transformDeleteQuery(node: DeleteQueryNode): DeleteQueryNode;
    protected transformCreateTable(node: CreateTableNode): CreateTableNode;
    protected transformDropTable(node: DropTableNode): DropTableNode;
    protected transformCreateIndex(node: CreateIndexNode): CreateIndexNode;
    protected transformDropIndex(node: DropIndexNode): DropIndexNode;
    protected transformCreateView(node: CreateViewNode): CreateViewNode;
    protected transformDropView(node: DropViewNode): DropViewNode;
    protected transformAlterTable(node: AlterTableNode): AlterTableNode;
    protected transformTable(node: TableNode): TableNode;
}
